Debian Bug report logs - #309223
[i386] serial console boot not possible ...

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Andreas Barth <aba@not.so.argh.org>

Date: Sun, 15 May 2005 18:48:25 UTC

Severity: normal

Tags: wontfix

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#309223; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: submit@bugs.debian.org
Subject: [i386] serial console boot not possible ...
Date: Sun, 15 May 2005 20:43:32 +0200
Package: installation-reports

Debian-installer-version: 20050515 / from people.d.o/~joeyh/...
uname -a: n/a
Date: 20050515
Method: hd-image

Machine: LV-667 Motherboard, http://www.commell.com.tw/Product/SBC/LV-667.HTM
Processor: VIA Nehemiah
Memory: 512GB
Root Device: n/a
Root Size/partition table: n/a

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot worked:    [E]
Configure network HW:   [ ]
Config network:         [ ]
Detect CD:              [ ]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Create file systems:    [ ]
Mount partitions:       [ ]
Install base system:    [ ]
Install boot loader:    [ ]
Reboot:                 [ ]

Comments/Problems:

I took the images from
http://people.debian.org/~joeyh/d-i/images/daily/hd-media/ (but had the
same problems with some RC2 cd image that I already had burned from a
previous installation).

The basic problem is: The LV-667 has a serial console for the bios (yes,
real serial via ttyS0), and as soon as the cd starts to boot, the
vga-card is used and no longer the serial console. So it is not possible
to install the box only via serial console, but one is required to plug
some keyboard in for hitting enter for the next stage. Of course, it is
possible to tell the next stage to use serial console, but that's too
late already for serial-only install.

(As comparison, the ppc install on the pegasos I did some time ago
worked fully on the serial console.)

(Of course, using a keyboard on monitor, the system installed just fine.)


Cheers,
Andi
-- 
   http://home.arcor.de/andreas-barth/
   PGP 1024/89FB5CE5  DC F1 85 6D A6 45 9C 0F  3B BE F1 D0 C5 D1 D9 0C



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#309223; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Alan.Deikman@znyx.com:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 309223@bugs.debian.org (full text, mbox):

From: Alan Deikman <Alan.Deikman@znyx.com>
To: 309223@bugs.debian.org
Subject: Did this ever get resolved?
Date: Wed, 09 Jul 2008 13:58:17 -0700
I have the same problem on a NEC Jasper board, using the Debian 4.0r2
net install CD.

Is there any way to edit the parameters on the ISO image so that it
forces the loader AND the kernel to ignore the VGA hardware and work via
the serial port?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#309223; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 309223@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 309223@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 309223@bugs.debian.org
Cc: Alan.Deikman@znyx.com, Debian BTS Control <control@bugs.debian.org>
Subject: Re: Bug#309223: Did this ever get resolved?
Date: Wed, 9 Jul 2008 23:36:17 +0200
reassign 309223 debian-installer
tags 309223 wontfix
thanks

On Wednesday 09 July 2008, Alan Deikman wrote:
> I have the same problem on a NEC Jasper board, using the Debian 4.0r2
> net install CD.

The main issue here is interaction with the bootloader (syslinux).

> Is there any way to edit the parameters on the ISO image so that it
> forces the loader AND the kernel to ignore the VGA hardware and work
> via the serial port?

You should be able to change the syslinux config so that it
1) does not wait for enter, but just boots using a preset set of
   options
2) uses the serial console

A CD-based install is possible but probably not the most suited for that 
as it requires remastering of the CD image. I'd try either netboot or 
boot from USB stick (using hw-media image). See the installation guide 
for details.

Cheers,
FJP




Bug reassigned from package `installation-reports' to `debian-installer'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 09 Jul 2008 21:45:20 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Wed, 09 Jul 2008 21:45:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#309223; Package debian-installer. (Thu, 13 Nov 2008 12:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 13 Nov 2008 12:45:04 GMT) Full text and rfc822 format available.

Message #24 received at 309223@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: 309223@bugs.debian.org
Subject: Serial console support for PXE boot
Date: Thu, 13 Nov 2008 13:40:49 +0100
[Message part 1 (text/plain, inline)]
I know the timing is bad and that this probably have to be delayed until
after lenny is released, but I just haven't been able to find the answer
to this question:

Why isn't
  serial 0 9600 0
included in debian-installer/*/boot-screens/menu.cfg?

Is this known to cause problems on any system?  The advantage should be
obvious:  It will enable installation using either serial or VGA console
(or even both).  You will still need to edit the kernel command line to
do a serial install, but at least you will be able to do so without a
VGA console.

The only reason I've found for dropping serial support is this comment
in the changelog:


debian-installer (20080522)
[..]
   * Note that the pxelinux config file for serial terminals has been dropped,
     at least for now, since the split config files made it too difficult to
     set up.


This does not explain why the config couldn't be merged.  It seems to me
that something like this should work, just adding a separate sub menu
for serial console:

[d-i.diff (text/x-diff, inline)]
--- debian-installer/amd64/boot-screens/menu.cfg.orig	2008-10-29 13:09:04.000000000 +0100
+++ debian-installer/amd64/boot-screens/menu.cfg	2008-11-13 11:55:11.000000000 +0100
@@ -1,3 +1,5 @@
+serial 0 9600 0
+
 menu hshift 13
 menu width 49
 
@@ -18,6 +20,15 @@
 	include debian-installer/amd64/boot-screens/adgtk.cfg
 	include debian-installer/amd64/boot-screens/adamdgtk.cfg
 menu end
+menu begin serial
+	menu title Serial console 
+	label mainmenu
+		menu label ^Back..
+		menu exit
+	include debian-installer/amd64/boot-screens/stdmenu.cfg
+	include debian-installer/amd64/boot-screens/sadtext.cfg
+	include debian-installer/amd64/boot-screens/adamdtext.cfg
+menu end
 label help
 	menu label ^Help
 	config debian-installer/amd64/boot-screens/prompt.cfg
--- /dev/null	2008-10-17 17:20:56.736525434 +0200
+++ debian-installer/amd64/boot-screens/sadtext.cfg	2008-11-13 12:29:01.000000000 +0100
@@ -0,0 +1,18 @@
+default sinstall
+label sinstall
+        menu label ^Install
+        menu default
+        kernel debian-installer/amd64/linux
+        append vga=normal initrd=debian-installer/amd64/initrd.gz -- console=ttyS0,9600n8 quiet
+label expert
+	menu label ^Expert install
+	kernel debian-installer/amd64/linux
+	append priority=low vga=normal initrd=debian-installer/amd64/initrd.gz -- console=ttyS0,9600n8
+label rescue
+	menu label ^Rescue mode
+	kernel debian-installer/amd64/linux
+	append debian-installer/serial-console vga=normal initrd=debian-installer/amd64/initrd.gz rescue/enable=true -- console=ttyS0,9600n8 quiet 
+label auto
+	menu label ^Automated install
+	kernel debian-installer/amd64/linux
+	append auto=true priority=critical vga=normal initrd=debian-installer/amd64/initrd.gz -- console=ttyS0,9600n8 quiet 
[Message part 3 (text/plain, inline)]

At least it seems to work for me.  But it will of course need to be
tested on more systems, and I realise that adding it at this stage is
not an option.  I just want to understand why it hasn't been done
before.  Just lack of interest?  I can take some blame for that...

FWIW, my experiments showed that a minor adjustment to prompt.cfg may be
necessary to display the help menu on a serial console:

[d-i-prompt.diff (text/x-diff, inline)]
--- debian-installer/amd64/boot-screens/prompt.cfg.orig	2008-10-29 13:09:04.000000000 +0100
+++ debian-installer/amd64/boot-screens/prompt.cfg	2008-11-13 13:07:06.000000000 +0100
@@ -1,7 +1,7 @@
+include debian-installer/amd64/boot-screens/menu.cfg
 prompt 1
 display debian-installer/amd64/boot-screens/f1.txt
 timeout 0
-include debian-installer/amd64/boot-screens/menu.cfg
 
 f1 debian-installer/amd64/boot-screens/f1.txt
 f2 debian-installer/amd64/boot-screens/f2.txt
[Message part 5 (text/plain, inline)]

Without this, the main menu be shown instead of f1.txt.  

f1.txt may also be updated with instructions on how to use ctrl+digit
instead of F-keys on a serial console, like the etch installer did, but
I think this may be omitted to avoid confusing things too much for most
users.  Those installing on a serial console may be expected to look up
this information in the manual.


Bjørn




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#309223; Package debian-installer. (Thu, 22 Jan 2009 22:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans van Kranenburg <hans.van.kranenburg@mendix.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 22 Jan 2009 22:51:02 GMT) Full text and rfc822 format available.

Message #29 received at 309223@bugs.debian.org (full text, mbox):

From: Hans van Kranenburg <hans.van.kranenburg@mendix.com>
To: 309223@bugs.debian.org
Cc: bjorn@mork.no
Subject: Serial console support for PXE boot
Date: Thu, 22 Jan 2009 23:48:46 +0100
(bjorn, sorry, typo)

I just want to thank Bjørn for the d-i.diff and d-i-prompt.diff patches
to the netboot-installer. Using the extracted netboot.tar.gz with the
patches, I could remote install some new machines in our
colocation-facility, using the serial/power console only without any
problem.

Hans van Kranenburg





Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Fri, 10 Sep 2010 17:51:13 GMT) Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. (Fri, 10 Sep 2010 17:51:13 GMT) Full text and rfc822 format available.

Message #34 received at 309223-done@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 309223-done@bugs.debian.org
Subject: Closing oldbug report against debian-installer #309223
Date: Fri, 10 Sep 2010 17:49:12 +0000
We are closing this bug report against debian-installer 
for one of the following reasons:
- it was reported with a pre-lenny version of Debian
  Installer.
- indications in the bug report give the feeling that
  the reported problem was lying in another software, unrelated to
  D-I, which we can't easily identify.
- indications in the installation report suggest that it may have been
  fixed in a more recent version of a D-I component
- it was successful and we forgot closing it..:-)
- it has no information we consider useful


The D-I team is currently in the process of cleaning out the old spool
of installation reports that haven't bene processed yet. 

In case you think that the problem you reported has chances to be
still present, please reiterate your installation test with
a more recent image of D-I, if you're in position of doing this.

You'll find daily builds at
http://www.debian.org/devel/debian-installer. We recommend you choose
the netboot image, in the "daily builds section", then choose to
install "squeeze" when prompted.

If some problems are found, please report them with a new bug sent
against installation-reports.

Many thanks for your understanding and your help improving Debian,
past and present.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Oct 2010 07:33:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:04:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.